Retrieve Vendor
curl --request GET \
--url https://api.meetcampfire.com/coa/api/vendor/{id}import requests
url = "https://api.meetcampfire.com/coa/api/vendor/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/coa/api/vendor/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"parent_name": "<string>",
"stripe_connection_name": "<string>",
"stripe_connection_entity": 123,
"stripe_connection_portal_url": "<string>",
"stripe_connection_portal_enabled": true,
"stripe_connection_invoicing_enabled": true,
"vendor_custom_field_1_name": "<string>",
"payment_term_name_display": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"search_vector": "<string>",
"search_text": "<string>",
"campfire_id": "<string>",
"name": "<string>",
"display_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"netsuite_customer_id": "<string>",
"customer": 123,
"contacts": [
{
"title_name": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"id": 123,
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>",
"mobile_number": "<string>",
"title": 123
}
],
"vendor_type": "vendor",
"dba": "<string>",
"company_name": "<string>",
"website": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>",
"mobile_number": "<string>",
"address_street_1": "<string>",
"address_street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"billing_address_street_1": "<string>",
"billing_address_street_2": "<string>",
"billing_city": "<string>",
"billing_state": "<string>",
"billing_zip_code": "<string>",
"billing_country": "<string>",
"shipping_addressee": "<string>",
"billing_addressee": "<string>",
"notes": "<string>",
"business_id_ssn": "<string>",
"is_1099": true,
"is_reseller": true,
"vat_number": "<string>",
"business_type": "<string>",
"business_category": "<string>",
"entity_use_code": "<string>",
"withholding_tax_id": "<string>",
"ita_deduction_type_code": "<string>",
"ita_vendor_entity_code": "0",
"ita_vendor_entity_type": "1",
"stripe_customer_id": "<string>",
"use_stripe_auto_bill": true,
"bill_vendor_id": "<string>",
"external_id": "<string>",
"source": "BILL",
"invoice_message": "<string>",
"abbreviation": "<string>",
"status": "ACTIVE",
"anrok_customer_id": "<string>",
"avalara_customer_id": "<string>",
"terms": "custom",
"invoice_labels": null,
"invoice_language": "<string>",
"lineage_array": [
"<string>"
],
"parent": 123,
"stripe_connection": 123,
"default_expense_category": 123,
"vendor_custom_field_1": 123,
"payment_term": 123
}Company Objects
Retrieve Vendor
GET
/
coa
/
api
/
vendor
/
{id}
Retrieve Vendor
Path Parameters
Response
200 - application/json
Maximum string length:
250Show child attributes
Show child attributes
vendor- Vendorcustomer- Customeremployee- Employee
Available options:
vendor, customer, employee Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
255Maximum string length:
255Maximum string length:
250Maximum string length:
250Maximum string length:
250Business type classification (e.g., Korean NTS 업태)
Maximum string length:
250Business category classification (e.g., Korean NTS 종목)
Maximum string length:
250Avalara entity/use code for tax exemptions (e.g., A - Federal Government, B - State/Local Govt)
Maximum string length:
25Vendor's tax-authority ID for withholding (PAN for India, TZ for Israel). Dedicated field since these have format/checksum rules distinct from business_id_ssn.
Maximum string length:
250Israel tax compliance: ITA nature-of-payment deduction type code for Form 856.
Maximum string length:
2Pattern:
^[0-9]{1,2}$Israel tax compliance: vendor residency classification for Form 856.
0- Israeli company2- PA resident3- Foreign individual5- Foreign company
Available options:
0, 2, 3, 5 Israel tax compliance: vendor legal-form classification for Form 856.
1- Individual2- Company3- Osek
Available options:
1, 2, 3 Maximum string length:
250Maximum string length:
250Maximum string length:
250BILL- BillBREX- BrexHUBSPOT- HubspotMANUAL- ManualPAYROLL- PayrollSALESFORCE- Salesforce
Available options:
BILL, BREX, HUBSPOT, MANUAL, PAYROLL, SALESFORCE Maximum string length:
250ACTIVE- ActiveINACTIVE- Inactive
Available options:
ACTIVE, INACTIVE Maximum string length:
250Maximum string length:
250custom- Customnet_5- Net 5net_7- Net 7net_10- Net 10net_15- Net 15net_20- Net 20net_30- Net 30net_40- Net 40net_45- Net 45net_60- Net 60net_90- Net 90net_105- Net 105net_120- Net 120due_on_receipt- Due on Receipt
Available options:
custom, net_5, net_7, net_10, net_15, net_20, net_30, net_40, net_45, net_60, net_90, net_105, net_120, due_on_receipt Maximum string length:
10Pre-computed lineage array from root to this vendor
Maximum string length:
50Payment term for this vendor